Package: org.codehaus.groovy.grails.web.pages.ext.jsp

## [Java] Interface JspTag

- An interface that represents a JSP tag that can be invoked by Grails

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `doTag(java.io.Writer targetWriter, java.util.Map<java.lang.String, java.lang.Object> attributes)` Main method to invoke a tag library and output to the target write
    `void` | `doTag(java.io.Writer targetWriter, java.util.Map<java.lang.String, java.lang.Object> attributes, groovy.lang.Closure<?> body)` Invokes a tag with a closure representing the body of the tag
    `boolean` | `isBodyTag()` @return Return true if the tag class implements the BodyTag interface
    `boolean` | `isIterationTag()` @return Return true if the tag class implements the IterationTag interface
    `boolean` | `isTryCatchFinallyTag()` @return Return true if the tag class implements the TryCatchFinally interface

- - ### Method Detail

    - #### public void doTag(java.io.Writer targetWriter, java.util.Map<java.lang.String, java.lang.Object> attributes)

      Main method to invoke a tag library and output to the target write

      Parameters:
        `targetWriter` - The writer the tag should write to
        `attributes` - The tag attributes

    - #### public void doTag(java.io.Writer targetWriter, java.util.Map<java.lang.String, java.lang.Object> attributes, groovy.lang.Closure<?> body)

      Invokes a tag with a closure representing the body of the tag

      Parameters:
        `targetWriter` - The target writer to write to
        `attributes` - The tag attributes
        `body` - The body of the tag

    - #### public boolean isBodyTag()

      Returns:
        Return true if the tag class implements the BodyTag interface

    - #### public boolean isIterationTag()

      Returns:
        Return true if the tag class implements the IterationTag interface

    - #### public boolean isTryCatchFinallyTag()

      Returns:
        Return true if the tag class implements the TryCatchFinally interface